Monday, December 17, 2007

Upgrading to Rails 2.0.2

If you are getting the following error during upgrade of Rails:

ERROR: While executing gem ...(OpenURI::HTTPError)
404 Not Found

1. sudo gem update --system.
This will upgrade the Ruby gems to 0.9.5

2. sudo gem install rails --source
Note that gem install -y is the default, so you don't have to provide it.


  1. sudo gem install rails --source

  2. I love your blog, and screen shows. Keep it up!

    I wonder if you could tell me, in the original ruby on rails tutorial, they made the database first, and then created the scaffolding from the database. Now in 2.0, it doesn't seem that I can do that anymore. Is there a way that I can still do that? For my new project, I have screen shots and the database already created for me.